Developers
List an endpoint’s deliveries
GET
Recent deliveries to one Webhook Endpoint, newest first, with their state and last response status.
header
AuthorizationBearer <token>An API Key the User creates in account settings, sent as Authorization: Bearer <key>. It holds the Scopes chosen at creation.
endpointId*stringLength
1 <= lengthcursor?stringLength
1 <= lengthlimit?integerRange
1 <= value <= 100Success.
application/json- response
items*array<>next_cursor*string|nullcurl -X GET 'https://ximagesplitter.com/api/v1/webhooks/endpoints/string/deliveries'Example response
{
"items": [
{
"id": "string",
"eventId": "string",
"type": "generation.queued",
"state": "pending",
"attempt": -9007199254740991,
"lastStatusCode": -9007199254740991,
"nextAttemptAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"next_cursor": "string"
}